<?php
// $Id: uc_members_only.admin.inc,v 1.1 2010/04/01 02:50:10 rdeboer Exp $

/**
 * @file
 *   Admin config settings for uc_members_only.module
 */

/**
 * Implementation of hook_menu().
 *
 * Define configuration options for Ubercart Members Only section.
 */
function uc_members_only_menu() {
  $items = array();
  $items['admin/store/settings/members_only'] = array(
    'title' => 'Members Only settings',
    'description' => 'Configure Members Only settings',
    'page callback' => 'drupal_get_form',
    'page arguments' => array('uc_members_only_admin_configure'),
    'access arguments' => array('administer store'),
  //'type' => MENU_NORMAL_ITEM,
  );
  return $items;
}

/**
 * Menu callback for admin settings.
 */
function uc_members_only_admin_configure() {
  $form = array();
  $form['uc_members_only_message_when_no_permission_to_view_sell_prices'] = array(
    '#type' => 'textfield',
    '#size' => 80,
    '#title' => t('Text to replace the price on the individual product page when the user does not have permission to view sell prices'),
    '#default_value' => variable_get('uc_members_only_message_when_no_permission_to_view_sell_prices', ''),
    '#description' => t('This text may contain simple HTML, such as a hyperlink.')
  );
  $form['uc_members_only_show_prices_as_zero'] = array(
    '#type' => 'checkbox',
    '#title' => t('If the user does not have permission to view sell prices, then show these as 0.00'),
    '#default_value' => variable_get('uc_members_only_show_prices_as_zero', FALSE),
    '#description' => t('If not ticked sell price fields are suppressed altogether.')
  );
  return system_settings_form($form);
}
